Loading...
Searching...
No Matches
pcl::search::OrganizedNeighbor< PointT >::Entry Struct Reference

`#include <pcl/search/organized.h>`

## Public Member Functions

| Entry (index_t idx, float dist)
| Entry ()
bool | operator< (const Entry &other) const

## Public Attributes

index_t | index
float | distance

## Detailed Description

template<typename PointT>
struct pcl::search::OrganizedNeighbor< PointT >::Entry

Definition at line 224 of file organized.h.

## Constructor & Destructor Documentation

## Entry() [1/2]

template<typename PointT>

pcl::search::OrganizedNeighbor< PointT >::Entry::Entry | ( | index_t | idx,
|  | float | dist )

inline

Definition at line 226 of file organized.h.

References distance, and index.

Referenced by operator<().

## Entry() [2/2]

template<typename PointT>

pcl::search::OrganizedNeighbor< PointT >::Entry::Entry | ( |  | ) |

inline

Definition at line 227 of file organized.h.

References distance, and index.

## Member Function Documentation

## operator<()

template<typename PointT>

bool pcl::search::OrganizedNeighbor< PointT >::Entry::operator< | ( | const Entry & | other | ) | const

inline

Definition at line 231 of file organized.h.

References distance, and Entry().

## Member Data Documentation

## distance

template<typename PointT>

float pcl::search::OrganizedNeighbor< PointT >::Entry::distance

Definition at line 229 of file organized.h.

Referenced by Entry(), Entry(), and operator<().

## index

template<typename PointT>

index_t pcl::search::OrganizedNeighbor< PointT >::Entry::index

Definition at line 228 of file organized.h.

Referenced by Entry(), and Entry().

The documentation for this struct was generated from the following file:

- pcl/search/organized.h